package com.ruoyi.sy.mapper;

import java.util.List;
import com.ruoyi.sy.domain.SyMajorMajor;

/**
 * 三级专业Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyMajorMajorMapper 
{
    /**
     * 查询三级专业
     * 
     * @param id 三级专业ID
     * @return 三级专业
     */
    public SyMajorMajor selectSyMajorMajorById(Long id);

    /**
     * 查询三级专业列表
     * 
     * @param syMajorMajor 三级专业
     * @return 三级专业集合
     */
    public List<SyMajorMajor> selectSyMajorMajorList(SyMajorMajor syMajorMajor);

    /**
     * 新增三级专业
     * 
     * @param syMajorMajor 三级专业
     * @return 结果
     */
    public int insertSyMajorMajor(SyMajorMajor syMajorMajor);

    /**
     * 修改三级专业
     * 
     * @param syMajorMajor 三级专业
     * @return 结果
     */
    public int updateSyMajorMajor(SyMajorMajor syMajorMajor);

    /**
     * 删除三级专业
     * 
     * @param id 三级专业ID
     * @return 结果
     */
    public int deleteSyMajorMajorById(Long id);

    /**
     * 批量删除三级专业
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyMajorMajorByIds(Long[] ids);
}
